(* $Id: lib_string.mli,v 1.1.1.1 2012/05/21 21:32:14 fclement Exp $ *)

val first_char : string -> char;;
(* [first_char s] return the first character of string [s].
   Raise [invalid_argument "first_char"] if [s] is empty. *)

val break : char -> string -> string list;;
(* Break a string into words that are sep separated.
   For instance:
   break_string `|` "a|b" -> ["a"; "b"]
   break_string `|` "|" -> [""; ""]. *)

val substitute_char : char -> char -> string -> string;;
val quoted : string -> string;;
val quoted_escaped : string -> string;;
